// Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
//
// SPDX-License-Identifier: MPL-2.0

import { STRUCTURE_ELEMENTS } from '../lea-editor/plugin-core/utils/StructureElements';
import { REGELUNGSTEXT_STRUCTURE } from '../lea-editor/plugins/regelungstext';

const LEAF_ELEMENT_STRUCTURE = {
  P: STRUCTURE_ELEMENTS.P,
  BLOCK: STRUCTURE_ELEMENTS.BLOCK,
  NUM: STRUCTURE_ELEMENTS.NUM,
  HEADING: STRUCTURE_ELEMENTS.HEADING,
  TOCITEM: STRUCTURE_ELEMENTS.TOCITEM,
  LIST: STRUCTURE_ELEMENTS.LIST,
  BLOCKLIST: STRUCTURE_ELEMENTS.BLOCKLIST,
  OL: STRUCTURE_ELEMENTS.OL,
  UL: STRUCTURE_ELEMENTS.UL,
  TABLE: STRUCTURE_ELEMENTS.TABLE,
};

export const LeafElementCellStructure: string[] = [
  LEAF_ELEMENT_STRUCTURE.P,
  LEAF_ELEMENT_STRUCTURE.BLOCK,
  // LEAF_ELEMENT_STRUCTURE.NUM,
  LEAF_ELEMENT_STRUCTURE.HEADING,
  LEAF_ELEMENT_STRUCTURE.TOCITEM,
  //LEAF_ELEMENT_STRUCTURE.LIST,
  LEAF_ELEMENT_STRUCTURE.BLOCKLIST,
  LEAF_ELEMENT_STRUCTURE.OL,
  //LEAF_ELEMENT_STRUCTURE.UL,
  LEAF_ELEMENT_STRUCTURE.TABLE,
];

export const WrapperElementCellStructure: string[] = [
  REGELUNGSTEXT_STRUCTURE.ARTICLE,
  REGELUNGSTEXT_STRUCTURE.PREAMBLE,
];
